> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/push-provisioning/ja/get-started/push-provisioning-overview/quick-start-guide/google-pay.md).

# Google Pay

### フェーズ 1: Google オンボーディング

{% stepper %}
{% step %}

#### イシュア契約

イシュアは署名済みの *Google Pay CTA 契約* Push Provisioning API へのアクセスをリクエストするために。
{% endstep %}

{% step %}

#### Google のドキュメントにアクセスする

Google の企業メールアドレスに関連付けられた Google アカウントを使用して、Google の [Android Push Provisioning API のドキュメント](/push-provisioning/ja/integrate-the-d1-sdk/getting-started/configuration/2.-onboarding/onboard-push-provisioning-for-wallets.md).
{% endstep %}

{% step %}

#### UX / ブランディングレビュー

[UX/ブランディングレビュー](https://developers.google.com/pay/issuers/apis/push-provisioning/android/launch-process?pli=1\&authuser=1)：Google はイシュアに順守を求めています [ベストプラクティス](https://developers.google.com/pay/issuers/apis/push-provisioning/android/best-practices) および [ブランディングガイドライン](https://developers.google.com/pay/issuers/apis/push-provisioning/android/branding-guidelines)。アプリケーションの UX は審査のために Google に提出する必要があります。
{% endstep %}

{% step %}

#### API アクセスをリクエストする

[Google の Push Provisioning API へのアクセスをリクエストする](/push-provisioning/ja/integrate-the-d1-sdk/getting-started/configuration/2.-onboarding/onboard-push-provisioning-for-wallets.md) イシュアアプリのパッケージ名と、特定の環境（Sandbox、Production）向けのフィンガープリントを含むフォームを送信して。
{% endstep %}

{% step %}

#### TSP 設定

必要な [TSP システム上の設定](/push-provisioning/ja/integrate-the-d1-sdk/getting-started/configuration/2.-onboarding/onboard-push-provisioning-for-wallets.md) を Google Pay の要件に従って設定し、特にアプリケーションのパッケージ名に細心の注意を払います。
{% endstep %}
{% endstepper %}

### フェーズ 2: Thales D1 バックエンド統合

{% stepper %}
{% step %}

#### オンボーディングフォーム

**オンボーディングフォーム**：Thales のインテグレーターは、Connectivity、Keys、D1 Services Configuration、Card Products を含む、D1 への接続に必要なすべての構成パラメータを収集するための Thales D1 オンボーディングフォームを提供します。

{% hint style="info" %}
イシュアは、push provisioning の統合プロジェクトのために TSP（Visa/Mastercard）でプロジェクトを開設する必要があります。この作業は、Thales とのオンボーディングと並行して開始することを推奨します。
{% endhint %}
{% endstep %}

{% step %}

#### 接続性

[**接続性**](/push-provisioning/ja/integrate-the-d1-api/set-up-tls-mutual-authentication.md)：D1 が公開する API は、すべての API 呼び出しに TLS 相互認証を必要とし、Thales CA によって署名されたクライアント証明書を用いて、プレプロダクション環境と本番環境の両方で明示的な設定が必要です。
{% endstep %}

{% step %}

#### バックエンド認証

[**バックエンド認証**](/push-provisioning/ja/integrate-the-d1-api/get-oauth-2.0-access-token.md)：受信する D1 API は OAuth JWT Bearer Credentials Flow によって保護されており、バックエンドが署名済みの JWT を送信して、D1 API にアクセスするための D1 アクセストークンを取得します。
{% endstep %}

{% step %}

#### データ暗号化

[**データ暗号化**](/push-provisioning/ja/integrate-the-d1-api/encrypt-sensitive-data.md)：D1 バックエンドとやり取りされる機密情報は、特定のアルゴリズムと受信者の EC 公開鍵を使用した標準の JWE 形式で暗号化する必要があります。
{% endstep %}

{% step %}

#### API によるコンシューマーおよびカード登録

[**コンシューマー**](/push-provisioning/ja/get-started/manage-end-users.md) **および** [**カード**](/push-provisioning/ja/get-started/manage-cards.md) **API による登録**：ほとんどの D1 サービスの前提条件として、一意の識別子を使用してバックエンド間 API 経由で D1 にエンドユーザー、アカウント、カードを登録する必要があります。
{% endstep %}

{% step %}

#### 一括登録

[**一括登録**](/push-provisioning/ja/register-cards-via-batch-file/batch-file-overview.md)：D1 には、SFTP 経由でアップロードされたバッチファイルを使用して、特定の操作（コンシューマーおよびカード登録など）をバッチモードで実行するサービスがあります。
{% endstep %}
{% endstepper %}

### フェーズ 3: Thales D1 SDK 統合

{% stepper %}
{% step %}

#### バイナリ統合

[**バイナリ統合**](/push-provisioning/ja/integrate-the-d1-sdk/getting-started/configuration/1.-binary-integration/android.md)：イシュアは D1 SDK バイナリをアプリケーションプロジェクトに統合する必要があります。
{% endstep %}

{% step %}

#### SDK 初期化

[**SDK 初期化**](/push-provisioning/ja/integrate-the-d1-sdk/getting-started/configuration/3.-initialization/android-initialization.md)：イシュアアプリは、API を呼び出す前に D1 SDK を初期化する必要があります。
{% endstep %}

{% step %}

#### ユーザー認証

[**ユーザー認証**](/push-provisioning/ja/integrate-the-d1-sdk/getting-started/configuration/5.-authentication/sdk-login.md)：イシュアアプリケーションは、D1 サービスを利用する前に、エンドユーザー認証の証明を提供する必要があります。
{% endstep %}

{% step %}

#### Google Pay ウォレットでカードの状態を確認する

[**Google Pay ウォレットでカードの状態を確認する**](/push-provisioning/ja/implement-push-provisioning/implement-push-to-digital-wallets/get-the-card-digitization-state.md)：イシュアアプリは、Google Pay ウォレット内のカードのデジタル化状態を、以下を使用して確認する必要があります `D1PushWallet.getCardDigitizationState()` API を使用して次のアクションを判断します。
{% endstep %}

{% step %}

#### Google Pay ウォレットへのカード追加

[**Google Pay ウォレットへのカード追加**](/push-provisioning/ja/implement-push-provisioning/implement-push-to-digital-wallets/push-to-the-digital-wallet.md)：ユーザーが「Google Pay に追加」をタップしたら、次を呼び出します `D1PushWallet.addDigitalCardToOEM()` API を使用してカードをトークン化し、onActivityResult メソッドをオーバーライドして結果を SDK に返すようにします。
{% endstep %}
{% endstepper %}

### フェーズ 4: テストとトラブルシューティング

{% stepper %}
{% step %}

#### Google Pay サンドボックステスト

イシュアはまず次を使用して統合をテストする必要があります [Google Pay サンドボックスモード](/push-provisioning/ja/integrate-the-d1-sdk/getting-started/enviroments/push-provisioning-sandbox-testing.md).
{% endstep %}

{% step %}

#### エラー処理と報告

イシュアが直面する場合 [エラー](/push-provisioning/ja/integrate-the-d1-sdk/troubleshooting/d1-sdk-error-management.md) テスト中に、まず次を参照する必要があります [一般的なエラー](/push-provisioning/ja/integrate-the-d1-sdk/troubleshooting/push-provisioning-troubleshooting/android.md) 前に [問題を Thales に報告する](/push-provisioning/ja/integrate-the-d1-sdk/troubleshooting/report-issues.md).
{% endstep %}

{% step %}

#### 本番テスト

イシュアが Sandbox でのテストを完了したら、本番環境に移行してそこでのテストも行う必要があります。
{% endstep %}
{% endstepper %}

### フェーズ 5: 認証とローンチ

{% stepper %}
{% step %}

#### 自己認証とアプリ審査

[Google Pay ローンチプロセス](/push-provisioning/ja/integrate-the-d1-sdk/getting-started/configuration/2.-onboarding/onboard-push-provisioning-for-wallets.md) イシュアが次を通過することを要求します [自己認証](https://developers.google.com/pay/issuers/apis/push-provisioning/android/test-cases?authuser=1) をアプリケーションで実施し、テストの動画記録を Google に提出して [アプリ審査](https://developers.google.com/pay/issuers/apis/push-provisioning/android/launch-process?pli=1\&authuser=1#step_3_app_review).
{% endstep %}

{% step %}

#### 現地テスト

次に、Google はイシュアに次を実施することを求めます [現地テスト](https://developers.google.com/pay/issuers/apis/push-provisioning/android/launch-process?pli=1\&authuser=1#step_4_field_testing) 。イシュアが最終ステップに進む前に、アプリは終了基準を満たす必要があります。
{% endstep %}

{% step %}

#### ローンチ承認をリクエストする

終了基準を満たした後、イシュアは次をリクエストできます [Google Pay チームのローンチ承認](https://developers.google.com/pay/issuers/apis/push-provisioning/android/launch-process?pli=1\&authuser=1#request_launch_approval) そして、それを受領すると、イシュアはアプリケーションを一般公開できます。
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/push-provisioning/ja/get-started/push-provisioning-overview/quick-start-guide/google-pay.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
